{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 6,
			"minor" : 1,
			"revision" : 8,
			"architecture" : "x86"
		}
,
		"rect" : [ 6.0, 44.0, 1379.0, 797.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"showontab" : 1,
		"boxes" : [ 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-39",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 194.766632, 193.0, 86.0, 20.0 ],
					"text" : "<-- look inside"
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.05098, 0.772549, 0.52549, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-41",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 0,
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 8,
							"architecture" : "x86"
						}
,
						"rect" : [ 70.0, 44.0, 487.0, 666.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 0,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"fontname" : "Arial Italic",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-15",
									"linecount" : 3,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 606.0, 370.0, 47.0 ],
									"text" : "For MIAP panners, the resulting signal derived from the linked Speaker nodes can be either power-preserving or linearly summing (the default setting.)."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Italic",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-14",
									"linecount" : 3,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 485.0, 370.0, 47.0 ],
									"text" : "For MIAP panners, the resulting signal routed to the linked Speaker nodes can be either power-preserving (the default setting) or linearly summing."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-12",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 18.0, 543.0, 93.0, 20.0 ],
									"text" : "Derived nodes"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-13",
									"linecount" : 4,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 543.0, 375.0, 60.0 ],
									"text" : "as the name implies, derive their signal from Speaker nodes. This is the only node type that is not typically part of a Triset, and therefore its physical placement in the mapped space has no functional purpose (aside from visual clarity)."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-10",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 25.0, 408.0, 86.0, 20.0 ],
									"text" : "Virtual nodes"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-11",
									"linecount" : 5,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 408.0, 370.0, 74.0 ],
									"text" : "represent points in the mapped space whose existence is “virtualized” via weighted links to one ore more of a map’s Speaker nodes. Signal from linked Speaker nodes is, by default, weighted equally between all Speaker nodes, though weightings can be customized to bias the signal of one speaker node over another."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-9",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 29.0, 324.0, 82.0, 20.0 ],
									"text" : "Silent nodes"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-8",
									"linecount" : 5,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 324.0, 366.0, 74.0 ],
									"text" : "represent points in the map that, if connected to a Triset, behave similarly to a Speaker node. In contrast to a Speaker node, which sends its panned signal on to a physical output, signal panned to a Silent node is simply ignored (i.e. silent). Silent nodes provide a convenient way to create fade-ins and fade-outs within a map."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-7",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.0, 214.0, 96.0, 20.0 ],
									"text" : "Speaker nodes"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-5",
									"linecount" : 7,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.0, 214.0, 366.0, 100.0 ],
									"text" : "represent single physical outputs in Meyer Sound’s Matrix3 and D-Mitri systems. Those outputs can be connected directly to speakers, or passed to effects processors and other external devices.  Multiple speaker nodes in a map can be bound to the same physical output, if desired. Again there is no inherent relationship between a speaker’s physical location in real space and it’s location or locations in mapped space."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-4",
									"linecount" : 3,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.0, 152.0, 458.0, 47.0 ],
									"text" : "Nodes in a map represent single outlets (Speaker Node), groups of outlets (Virtual Node), or points of silence (Silent node). Nodes can also derive their audio from other nodes (Derived nodes). "
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-3",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.0, 122.0, 82.0, 20.0 ],
									"text" : "Node Types:"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-2",
									"linecount" : 6,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.0, 20.0, 458.0, 87.0 ],
									"text" : "From Meyer Sound’s CueStation User Guide:\r\r“A SpaceMap design is constructed from two basic elements: nodes and trisets. Nodes commonly represent the positions of loudspeakers or groups of speakers, and may be of several types. Trisets link three nodes together, providing the means to distribute signal proportionally among them.” "
								}

							}
 ],
						"lines" : [  ]
					}
,
					"patching_rect" : [ 17.633331, 193.0, 177.0, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p \"About SpaceMap and MIAP\""
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-34",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 1127.633301, 618.058838, 87.0, 20.0 ],
					"text" : "<-- look inside"
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.05098, 0.772549, 0.52549, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-27",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 8,
							"architecture" : "x86"
						}
,
						"rect" : [ 25.0, 69.0, 520.0, 188.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-8",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 57.0, 141.0, 448.0, 20.0 ],
									"text" : "(for more information on trajectory scripting and control, see miap/miap~ help files)"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"hidden" : 1,
									"id" : "obj-6",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "bang" ],
									"patching_rect" : [ 42.0, 83.0, 60.0, 20.0 ],
									"text" : "loadbang"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-4",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 42.0, 93.5, 92.0, 20.0 ],
									"text" : "script trajectory"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-3",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 42.0, 117.0, 443.0, 18.0 ],
									"text" : "set_trajectory -500 -500 1500 300 -700 500 500 500 1500 -100 50 2000 -200 400"
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-7",
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.0, 145.833344, 25.0, 25.0 ]
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-194",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 49.5, 39.5, 191.0, 20.0 ],
									"text" : "start/resume from current position"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-195",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 15.0, 39.5, 35.0, 18.0 ],
									"text" : "start"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-197",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 49.5, 60.5, 70.0, 20.0 ],
									"text" : "stop/pause"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-199",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 36.0, 15.0, 117.0, 20.0 ],
									"text" : "start from beginning"
								}

							}
, 							{
								"box" : 								{
									"id" : "obj-200",
									"maxclass" : "button",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "bang" ],
									"patching_rect" : [ 15.0, 15.0, 20.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-202",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 15.0, 60.5, 34.0, 18.0 ],
									"text" : "stop"
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-7", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-195", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-7", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-200", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-7", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-202", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-7", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-3", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-3", 0 ],
									"disabled" : 0,
									"hidden" : 1,
									"source" : [ "obj-6", 0 ]
								}

							}
 ]
					}
,
					"patching_rect" : [ 1056.633301, 618.058838, 73.0, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p Trajectory"
				}

			}
, 			{
				"box" : 				{
					"attr" : "pan",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-10",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 816.133301, 618.058838, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 9.160198,
					"hidden" : 1,
					"id" : "obj-4",
					"linecount" : 4,
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 204.266663, 737.5, 131.0, 45.0 ],
					"text" : ";\rmax launchbrowser http://creativecommons.org/licenses/by/3.0/"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 11.0,
					"frgb" : 0.0,
					"id" : "obj-38",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 14.500031, 728.90625, 171.0, 19.0 ],
					"text" : "patches distributed under licence"
				}

			}
, 			{
				"box" : 				{
					"handoff" : "",
					"hilite" : 0,
					"id" : "obj-25",
					"maxclass" : "ubutton",
					"numinlets" : 1,
					"numoutlets" : 4,
					"outlettype" : [ "bang", "bang", "", "int" ],
					"patching_rect" : [ 56.500031, 751.5, 87.0, 31.0 ]
				}

			}
, 			{
				"box" : 				{
					"data" : [ 2369, "", "IBkSG0fBZn....PCIgDQRA...fE...vGHX....vXHq.3....DLmPIQEBHf.B7g.YHB..HfeRDEDUnEX6ZtEaTcbFG+2LyYsTi2s4h1T4DUuzJssrnTItFoPnrd6CDSAslWR5EE.aRpz5DYbD1oJg.13VfjVkDm.DQwOjKOvCg.RsfCjX.wk01XffjwRA4MRtQw1sInvJkzZ3gxdNyzGN6d7twFGaC1Po4uz3c14al4rm+m+mu4a9FKLoMeeQPw+huCSEPH.L.r68sajRIJkxsHsPIkHsTXIUHURjB2hPHxNT.iACFLZMNFMZGMZsC11Nn0Zr013XqwQaiVqQq03Xb.GCNFMFiI6zX7pe6.Rr5D.f.vjibsrrPoTXIsvxRgR49oTNLIK7HY2IxX.swfw3f1QisViVaissCNN1Xqcv11FGG2Oymj0NZOhMeh91EjX0IvBnPx0xG9TJTJe3yxBKkBkkE68c2KsmrcRkJEW4xWofIpX+ESjHQXwksXdre8igsVgTZisiDrcPXD39rDrssA.i1fQjkLMtluQPtmqqyQaGrMFXfAJn8PgBQ4KubVvBWv080Xh.AfYO6eOXYY4QtV97gOKWB9vevQXmuwNIc5ziqILXvf7T09zTd4KgL1N33jgLYrISlLjwIC1YbvQ6pn0NYUxZ80sJ9y+GeAu0tdSFbfAAf4Nm4xC7yd..3Be7En6y2M.TZnR4Ip9I49+g22D9ZLQQhUmvkf226uO7o7gOeVYI2hnHe9X8+90SxSlza.ABDfXwhwLlwLXIKYI.vQNxQn+96mSbhSvPCMjWeiVVTd9M9bbG9KF6LY3+jwFa6qRlLY7bW333LrqBcVe4SBewC80CQSuPSb4KeYhFMJszRKDYlQJnOo9jTjHQBRlLI986m5egmcJmj8H3+5g9aTjOKrrJhhJxGE4qnBH2.ABPkUVIapwMQvfAulSXyuVyzTSM4QzkFpTZ4M2Eeu6nXxXeUxb0q5plcxfisM1NN3X6LBU7Dkf2xF2BCNvfDOdbNv9OfW6BoqaIid34q4WqYpu95ozPkxF2xFmPWmIJRr5DHAPIknTV3yxsjO4FNbXN6YOK6X66XLIW.pac0wm92+TBGNL.L3.CxeZK+Y7YovRYgRYgTJQJkHjtQiHjBjHQj0GMfaTJiSbttNGCNvfDMZT1TiM9s1+5VWcDMZTFbfA4bcctw80YxBI.RKERkBKkhC+AGo.xsqS00HdcarPvfAoqS0kGIm7jIos1NBJK2HRrrTtg+kGA6F1GEPxiWz1AaC.ZokVX9yuvEvLZSAp2bnkVZofwNUBI.VRkWzB67M1Ifqag24cdmuUU6ngbjbf.A.f+x12oaXdRKjRERgBgvMlaABPxvj7DP8Bv.CL.ycNycDhfJVQEtO7jBpXEUTfsHyLBycNycDQZLU.WErRhToXuu6d8hVnxJqjE8vKZROwACFjlZpI.Hc5zr28rWrjRjJIJkDkvU4JDBD35lXxhbQKjOZs0VG05i0XlJfKAKjnjJZOY6.tp2M03l75zAZ8.TVrxXdyadLu4MOVasq8ZZqgFavyVcqqNOUb6mrcWxUTnqgbEizLobQbqNb2ngPhTHHUpT.PrXw7bMbfVO.qXEqnfA0846lN6nSp8Ypk0rl0LBa8zSOdqlGKVLZs0VIUpTHDprKt4tHGHPJD3jiW8139DCW3iuvHZKd73dJ23wiOtFyTAjfqeOoP3sCsYO6Y60g5qud.njRJgd6sW1+92OkTRIrxUsR15V2Jf6hg81au71u8aSIkTBwhEya74pekKeEjYcGHDBDFg21sEHPZlbtHBEJDce9tI0mjpf1yObs7qCtwD2846lPgBMotlSD3dW8MVb4AevGzqde80G.7nO5iRjYFgJhWAewm+ET25pyy1RW5RIxLiPUUVkmsbHWzDP17CIFday2HP4Kub.HQhDi6wjqu4F6TIl7qrbKBVvBW.kFpTRlL4HhVXzvpV8pHYxjTZnRmVxKgKAaJb++ezG8Qd0yo.2291GoSmlNOUmbe2+8wZqcsd19vO7CGgsbHmJGby7V1+bC8l3Yd1mA+98Sqs1JkEqLO2E4GGbpOIEkEqL18t2M986mmn5m7F5ugqEr.WxUaLTr+h4JW9JzSO830gMrgMvZVyZ3hW7hbu+f60q896ueOa80WeivVNzc2tIYoX+Ei1j21gEFLdISyfVnmz2DAtq.zzK1Da6U1FISljYMqYQ3vgYVyZVbm24cxoO8o8dPOclrGHKAqMZzFCye9ymjmLIm3DmvqCUUYUbO2y8vq9puJC8ucywvh94Khcr8c30msuss6U+aZ6nG8n.PjHQvXzYIYMlr4dPaLCKnuND1Atq.rwsrQuzU1We8UvaO2rRWoGA6ncH1uHFIOYRFZngngFafM+G2L.TQ7Jnh3it+spprJppxpFUaM+ZMyEu3EAfEW1hcOsCiFGiw60WOEc1roc8hErvELsShiEj.3XqQ63P4Kqbu3e21111HB8YhfzoS6sStfAClMQ7tGojwwkjQjkbuA6S9VI3RvFmroNzlm+EdN.XngFh3wiOtSzd9Hc5zrvGdgdos7oq4oww118njz4RMoFGGG2EW0YWj0b60QFkCF.S00Ts4XseLSGmocyxV9xxsTuIb3vlN5nCiQaFWkd6sWS3vg8FezxhZ53LsaNV6GyTac0509+GUF9KqrxG2b7NNtoiy1oIZYQ8ZOPf.lZpoFyk9xKcMI1K8kWxTSM0XBDHf23lYjYZ57rcZNdmG2TcMUey9F8lRYD69+opoZ9U+1eC974iW7OrUNzAOjmsI5QF8Ru7KgclLjLY6zv5afoZjetey+zLxUez99zAFAq+T0TsqR9LsadkleYSvfAG2OwBFLnowlZzzwYZ2b7NOtYyuzlm1TKFsYLqmeaSWkqY9qVYkONOwu6I8RDeaGpMN36evw7X6WVEKmktzx8Nus2aOuG65M10X7r8FKFMEb91ltUtv2RBB+I+zvr9F1.+ne7LPpTnjJjYy7VtjCkayBlr+W8Xq0z+m8Y75uxqSOmumq0TOkf7IwaEbM.iyLvN64Ladje4ivC8vOD28cc2dGuC3NZiwvW80eEm9TmlC+AGdZmXyg+mSA+c35GRy+zT7M6eD2FCw+E.rCkdOahvW......IUjSD4pPfIH" ],
					"embed" : 1,
					"id" : "obj-31",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 56.500031, 751.5, 88.0, 31.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgovercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"border" : 0,
					"fontlink" : 1,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-42",
					"maxclass" : "textbutton",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "", "", "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 9.000031, 705.09375, 183.396484, 21.40625 ],
					"presentation_rect" : [ 322.0, 434.0, 183.396484, 21.40625 ],
					"rounded" : 0.0,
					"text" : "http://www.zacharyseldess.com",
					"underline" : 1
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 9.160198,
					"hidden" : 1,
					"id" : "obj-43",
					"linecount" : 2,
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 204.266663, 710.09375, 103.0, 25.0 ],
					"text" : ";\rmax launchbrowser $1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 18.747917,
					"frgb" : 0.0,
					"id" : "obj-95",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 319.266663, 21.5, 389.0, 27.0 ],
					"text" : "GUI for Manifold-Interface Amplitude Panners"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 14.9,
					"frgb" : 0.0,
					"id" : "obj-96",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 319.266663, 48.5, 141.0, 23.0 ],
					"text" : "by Zachary Seldess"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 14.939754,
					"frgb" : 0.0,
					"id" : "obj-97",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 294.266663, 97.5, 414.0, 23.0 ],
					"text" : "based on Meyer Sound's SpaceMap(R) abstract panning tool"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 39.4571,
					"frgb" : 0.0,
					"id" : "obj-98",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 128.633331, 20.5, 190.0, 51.0 ],
					"text" : "MIAP.map"
				}

			}
, 			{
				"box" : 				{
					"autofit" : 1,
					"id" : "obj-99",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 23.633331, 20.5, 100.0, 100.0 ],
					"pic" : "miap_logo.png"
				}

			}
, 			{
				"box" : 				{
					"angle" : 180.0,
					"grad1" : [ 0.910762, 0.890063, 0.931461, 1.0 ],
					"grad2" : [ 0.471964, 0.326482, 0.870588, 1.0 ],
					"id" : "obj-100",
					"maxclass" : "panel",
					"mode" : 1,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 17.633331, 15.0, 696.633301, 113.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-78",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 98.633331, 137.0, 86.0, 20.0 ],
					"text" : "<-- look inside"
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.051338, 0.774354, 0.525515, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-87",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 0,
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 8,
							"architecture" : "x86"
						}
,
						"rect" : [ 155.0, 44.0, 501.0, 90.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 0,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-78",
									"linecount" : 4,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 15.5, 14.5, 474.0, 60.0 ],
									"text" : "The MIAP MaxMSP and Pure Data (PD) object suite is based on Meyer Sound's SpaceMap(R) multi-channel panning feature of CueStation. \n\nSpaceMap and CueStation are trademarks of Meyer Sound Laboratories, Incorporated."
								}

							}
 ],
						"lines" : [  ]
					}
,
					"patching_rect" : [ 17.633331, 137.0, 80.0, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p Attributions"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-91",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 141.633331, 165.0, 86.0, 20.0 ],
					"text" : "<-- look inside"
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.051338, 0.774354, 0.525515, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-92",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 0,
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 8,
							"architecture" : "x86"
						}
,
						"rect" : [ 77.0, 44.0, 566.0, 263.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 0,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"bgovercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"border" : 0,
									"fontlink" : 1,
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-24",
									"maxclass" : "textbutton",
									"numinlets" : 1,
									"numoutlets" : 3,
									"outlettype" : [ "", "", "int" ],
									"parameter_enable" : 0,
									"patching_rect" : [ 39.0, 98.0, 380.822266, 21.40625 ],
									"presentation_rect" : [ 0.0, 0.0, 380.822266, 21.40625 ],
									"rounded" : 0.0,
									"text" : "http://meyersound.com/products/d-mitri/cuestation/register/index.htm",
									"underline" : 1
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-25",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 19.0, 78.0, 230.0, 20.0 ],
									"text" : "Meyer Sound's SpaceMap Application:"
								}

							}
, 							{
								"box" : 								{
									"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"bgovercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"border" : 0,
									"fontlink" : 1,
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-23",
									"maxclass" : "textbutton",
									"numinlets" : 1,
									"numoutlets" : 3,
									"outlettype" : [ "", "", "int" ],
									"parameter_enable" : 0,
									"patching_rect" : [ 39.0, 217.0, 492.068329, 21.40625 ],
									"presentation_rect" : [ 204.0, 256.0, 492.068329, 21.40625 ],
									"rounded" : 0.0,
									"text" : "http://www.meyersound.com/sites/default/files/cuestation_5.2.0_user_guide.5.13.2011.pdf",
									"underline" : 1
								}

							}
, 							{
								"box" : 								{
									"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"bgovercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"border" : 0,
									"fontlink" : 1,
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-22",
									"maxclass" : "textbutton",
									"numinlets" : 1,
									"numoutlets" : 3,
									"outlettype" : [ "", "", "int" ],
									"parameter_enable" : 0,
									"patching_rect" : [ 39.0, 159.0, 372.185547, 21.40625 ],
									"presentation_rect" : [ 145.0, 240.0, 372.185547, 21.40625 ],
									"rounded" : 0.0,
									"text" : "https://www.meyersound.com/news/2013/steve_ellison_spacemap/",
									"underline" : 1
								}

							}
, 							{
								"box" : 								{
									"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"bgovercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
									"border" : 0,
									"fontlink" : 1,
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-16",
									"maxclass" : "textbutton",
									"numinlets" : 1,
									"numoutlets" : 3,
									"outlettype" : [ "", "", "int" ],
									"parameter_enable" : 0,
									"patching_rect" : [ 39.0, 39.0, 212.740234, 21.40625 ],
									"presentation_rect" : [ 0.0, 0.0, 212.740234, 21.40625 ],
									"rounded" : 0.0,
									"text" : "http://www.zacharyseldess.com/miap",
									"underline" : 1
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 9.160198,
									"hidden" : 1,
									"id" : "obj-42",
									"linecount" : 2,
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 148.87207, 251.5, 103.0, 25.0 ],
									"text" : ";\rmax launchbrowser $1"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-11",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 19.0, 19.0, 92.0, 20.0 ],
									"text" : "MIAP website:"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-8",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 19.0, 197.0, 363.0, 20.0 ],
									"text" : "Meyer Sound Cue Station user guide (see SpaceMap section):"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial Bold",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-2",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 19.0, 139.0, 532.0, 20.0 ],
									"text" : "Steve Ellison's 2013 article on the evolution of SpaceMap in \"Lighting and Sound America\":"
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-42", 0 ],
									"disabled" : 0,
									"hidden" : 1,
									"source" : [ "obj-16", 1 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-42", 0 ],
									"disabled" : 0,
									"hidden" : 1,
									"source" : [ "obj-22", 1 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-42", 0 ],
									"disabled" : 0,
									"hidden" : 1,
									"source" : [ "obj-23", 1 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-42", 0 ],
									"disabled" : 0,
									"hidden" : 1,
									"source" : [ "obj-24", 1 ]
								}

							}
 ]
					}
,
					"patching_rect" : [ 17.633331, 165.0, 122.0, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p SpaceMap(R) links"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-84",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 566.823608, 82.0, 25.0 ],
					"text" : "text scale"
				}

			}
, 			{
				"box" : 				{
					"attr" : "textscale",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-85",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 569.823608, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-81",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 543.235352, 147.0, 25.0 ],
					"text" : "trajectory node scale"
				}

			}
, 			{
				"box" : 				{
					"attr" : "tnodescale",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-83",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 546.235352, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-79",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 518.647095, 123.0, 25.0 ],
					"text" : "map node scale"
				}

			}
, 			{
				"box" : 				{
					"attr" : "nodescale",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-80",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 521.647095, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-61",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 495.058838, 133.0, 25.0 ],
					"text" : "mouse node scale"
				}

			}
, 			{
				"box" : 				{
					"attr" : "mnodescale",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-72",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 498.058838, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-74",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 447.058838, 132.0, 25.0 ],
					"text" : "display node trims"
				}

			}
, 			{
				"box" : 				{
					"attr" : "nodetrimmode",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-75",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 450.058838, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-67",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 447.058838, 112.0, 25.0 ],
					"text" : "triset text color"
				}

			}
, 			{
				"box" : 				{
					"attr" : "trisettextcolor",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-71",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 449.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-65",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 471.470581, 123.0, 25.0 ],
					"text" : "display triset IDs"
				}

			}
, 			{
				"box" : 				{
					"attr" : "trisetidmode",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-66",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 474.470581, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-59",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 423.235291, 124.0, 25.0 ],
					"text" : "display node IDs"
				}

			}
, 			{
				"box" : 				{
					"attr" : "nodeidmode",
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-60",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 426.235291, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"color" : [ 0.756863, 0.329412, 0.843137, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"hidden" : 1,
					"id" : "obj-28",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 8,
							"architecture" : "x86"
						}
,
						"rect" : [ 25.0, 69.0, 275.0, 185.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-63",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 2,
									"outlettype" : [ "bang", "bang" ],
									"patching_rect" : [ 18.0, 48.0, 34.0, 20.0 ],
									"text" : "t b b"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-67",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "bang" ],
									"patching_rect" : [ 18.0, 19.0, 60.0, 20.0 ],
									"text" : "loadbang"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-60",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 31.5, 112.0, 174.0, 18.0 ],
									"text" : "read_mapB 8.2ch_map_2.json"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-62",
									"maxclass" : "message",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 18.0, 86.0, 173.0, 18.0 ],
									"text" : "read_mapA 8.2ch_map_1.json"
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-59",
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 18.0, 143.0, 25.0, 25.0 ]
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-59", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-60", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-59", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-62", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-60", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-63", 1 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-62", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-63", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-63", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-67", 0 ]
								}

							}
 ]
					}
,
					"patching_rect" : [ 714.633301, 649.5, 79.0, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p load_maps"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-63",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 968.133301, 618.058838, 79.0, 20.0 ],
					"text" : "map A/B pan"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-56",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 583.266602, 591.176453, 162.0, 25.0 ],
					"text" : "spacemap object name"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-57",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 557.766602, 399.0, 223.0, 25.0 ],
					"text" : "gains display mode (linear vs. dB)"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-58",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 615.235291, 162.0, 25.0 ],
					"text" : "spacemap map (a or b)"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-45",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 375.058838, 173.0, 25.0 ],
					"text" : "polar concentric divisions"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-46",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 351.058838, 145.0, 25.0 ],
					"text" : "polar radial divisions"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-47",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 279.058838, 137.0, 25.0 ],
					"text" : "cartesian x division"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-51",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 303.058838, 144.0, 25.0 ],
					"text" : "cartesian y divisions"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-53",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 327.058838, 126.0, 25.0 ],
					"text" : "display polar grid"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-55",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 539.766602, 255.0, 150.0, 25.0 ],
					"text" : "display cartesian grid"
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 20.744106,
					"frgb" : 0.0,
					"id" : "obj-40",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 389.766602, 225.0, 99.0, 30.0 ],
					"text" : "Behavior"
				}

			}
, 			{
				"box" : 				{
					"attr" : "name",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-37",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 594.176453, 193.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "map",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-36",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 618.176453, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "polarraddiv",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-33",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 354.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "polargrid",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-32",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 330.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "polarcondiv",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-30",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 378.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "gainsmode",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "gainsmode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-29",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 402.0, 169.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "cartesianydiv",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-26",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 306.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "cartesianxdiv",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-24",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 282.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 20.744106,
					"frgb" : 0.0,
					"id" : "obj-23",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 17.633331, 225.0, 128.0, 30.0 ],
					"text" : "Appearance"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-22",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 495.058838, 174.0, 25.0 ],
					"text" : "virtual node link text color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-20",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 471.058838, 150.0, 25.0 ],
					"text" : "virtual node link color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-19",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 399.058838, 87.0, 25.0 ],
					"text" : "triset color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-18",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 423.058838, 129.0, 25.0 ],
					"text" : "triset border color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-16",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 639.058838, 137.0, 25.0 ],
					"text" : "trajectory text color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-14",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 591.058838, 145.0, 25.0 ],
					"text" : "trajectory node color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-12",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 615.058838, 137.0, 25.0 ],
					"text" : "trajectory line color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-11",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 519.058838, 134.0, 25.0 ],
					"text" : "derived node color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-9",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 567.058838, 182.0, 25.0 ],
					"text" : "derived node link text color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-8",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 543.058838, 158.0, 25.0 ],
					"text" : "derived node link color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-7",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 375.058838, 215.0, 25.0 ],
					"text" : "speaker/virtual/derived text color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-6",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 279.058838, 131.0, 25.0 ],
					"text" : "mouse node color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-5",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 303.058838, 172.0, 25.0 ],
					"text" : "mouse node border color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-2",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 327.058838, 105.0, 25.0 ],
					"text" : "grid line color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-1",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 351.058838, 210.0, 25.0 ],
					"text" : "speaker/virtual/silent node color"
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"frgb" : 0.0,
					"id" : "obj-3",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 168.233368, 255.0, 127.0, 25.0 ],
					"text" : "background color"
				}

			}
, 			{
				"box" : 				{
					"attr" : "vlinktextcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-161",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 497.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "vlinkcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-158",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 473.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "trisetfill",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-152",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 401.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "trisetborder",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-149",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 425.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "tlinktextcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-146",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 641.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "tnodefill",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-143",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 593.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "tlinkcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-140",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 617.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "nodefill",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-137",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 353.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "nodetextcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-126",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 377.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "mnodefill",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-116",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 281.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "mnodeborder",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-111",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 305.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "gridcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "gridcolor", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-105",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 329.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "dnodefill",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-102",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 521.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "dlinktextcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-90",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 569.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "dlinkcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-86",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.233368, 545.235291, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"attr" : "bgcolor",
					"attrfilter" : [ "bgcolor", "dlinkcolor", "dlinktextcolor", "dnodeborder", "dnodefill", "grid1color", "grid2color", "mnodeborder", "mnodefill", "nodetextcolor", "nodefill", "tlinkcolor", "tnodefill", "tlinktextcolor", "trisetborder", "trisetfill", "nonodefill", "vlinkcolor", "vlinktextcolor" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-82",
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 2,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 17.633331, 257.5, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-35",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 822.633301, 590.0, 304.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-15",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 944.633301, 692.0, 39.0, 20.0 ],
					"text" : "gains"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-17",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 801.633301, 676.5, 58.0, 20.0 ],
					"text" : "zl delace"
				}

			}
, 			{
				"box" : 				{
					"ghostbar" : 14,
					"id" : "obj-13",
					"ignoreclick" : 1,
					"maxclass" : "multislider",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 801.633301, 712.0, 325.0, 70.5 ],
					"setminmax" : [ 0.0, 1.0 ],
					"size" : 10,
					"slidercolor" : [ 0.003922, 0.023529, 1.0, 1.0 ],
					"spacing" : 1
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-128",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 801.633301, 649.5, 243.0, 20.0 ],
					"text" : "MIAP maxmapper @pan -1. @gainsmode 0"
				}

			}
, 			{
				"box" : 				{
					"attr" : "cartesiangrid",
					"attrfilter" : [ "cartesiangrid", "cartesianxdiv", "cartesianxsubdiv", "cartesianydiv", "cartesianysubdiv", "polargrid", "polarcondiv", "polarconsubdiv", "polarraddiv", "polarradsubdiv", "displaymode", "servertype", "name", "map" ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-122",
					"lock" : 1,
					"maxclass" : "attrui",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 389.766602, 258.0, 150.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-21",
					"maxclass" : "MIAP.map",
					"name" : "maxmapper",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 801.633301, 15.0, 560.0, 560.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-128", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 825.633301, 643.279419, 811.133301, 643.279419 ],
					"source" : [ "obj-10", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-102", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-105", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-111", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-116", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-122", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-126", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-17", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-128", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-137", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-140", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-143", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-146", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-149", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-152", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-158", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-161", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-13", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 850.133301, 703.75, 811.133301, 703.75 ],
					"source" : [ "obj-17", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-128", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 811.133301, 635.75, 811.133301, 635.75 ],
					"source" : [ "obj-21", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-35", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 811.133301, 581.75, 1117.133301, 581.75 ],
					"source" : [ "obj-21", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-24", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-4", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-25", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-26", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-128", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 1066.133301, 643.779419, 811.133301, 643.779419 ],
					"source" : [ "obj-27", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-128", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-28", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-29", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-30", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-32", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-33", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-36", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-37", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-43", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-42", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-60", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-66", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-71", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-72", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-75", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-80", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-82", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-83", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-85", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-86", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-21", 0 ],
					"disabled" : 0,
					"hidden" : 1,
					"source" : [ "obj-90", 0 ]
				}

			}
 ],
		"dependency_cache" : [ 			{
				"name" : "miap_logo.png",
				"bootpath" : "/Applications/Max 6.1/packages/MIAP_for_Max/misc",
				"patcherrelativepath" : "../../../../../../../../../../Applications/Max 6.1/packages/MIAP_for_Max/misc",
				"type" : "PNG ",
				"implicit" : 1
			}
, 			{
				"name" : "MIAP.map.mxo",
				"type" : "iLaX"
			}
, 			{
				"name" : "MIAP.mxo",
				"type" : "iLaX"
			}
 ]
	}

}
